kr.co.hanwha.hifive.data.model

## Class TaskHistoryData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.TaskHistoryData

    public class TaskHistoryData
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`(package private) int` `id`
`(package private) java.lang.String` `log_detail`
`(package private) java.lang.String` `log_typename`
`(package private) java.lang.String` `logged_at`

### Constructor Summary

Constructors
Constructor and Description
`TaskHistoryData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()`
`java.util.ArrayList<java.lang.String>` `getListLogDetail()`
`java.lang.String` `getLog_detail()`
`java.lang.String` `getLog_typename()`
`java.lang.String` `getLogged_at()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    int id

#### logged_at

    java.lang.String logged_at

#### log_typename

    java.lang.String log_typename

#### log_detail

    java.lang.String log_detail

### Constructor Detail

#### TaskHistoryData

    public TaskHistoryData()

### Method Detail

#### getId

    public int getId()

#### getLog_typename

    public java.lang.String getLog_typename()

#### getLogged_at

    public java.lang.String getLogged_at()

#### getLog_detail

    public java.lang.String getLog_detail()

#### getListLogDetail

    public java.util.ArrayList<java.lang.String> getListLogDetail()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`